package com.ruoyi.hezhi.service;

import com.ruoyi.hezhi.domain.TbBanner;
import com.ruoyi.hezhi.domain.dto.BannerDTO;
import com.ruoyi.hezhi.domain.vo.BannerVO;

import java.util.List;

/**
 * 轮播图Service接口
 *
 * @author CC
 * @date 2024-03-12
 */
public interface ITbBannerService
{
    /**
     * 查询轮播图
     *
     * @param bannerId 轮播图主键
     * @return 轮播图
     */
    public TbBanner selectTbBannerByBannerId(String bannerId);

    /**
     * 查询轮播图列表
     *
     * @param tbBanner 轮播图
     * @return 轮播图集合
     */
    public List<TbBanner> selectTbBannerList(TbBanner tbBanner);

    /**
     * 新增轮播图
     *
     * @param tbBanner 轮播图
     * @return 结果
     */
    public int insertTbBanner(TbBanner tbBanner);

    /**
     * 修改轮播图
     *
     * @param tbBanner 轮播图
     * @return 结果
     */
    public int updateTbBanner(TbBanner tbBanner);

    /**
     * 批量删除轮播图
     *
     * @param bannerIds 需要删除的轮播图主键集合
     * @return 结果
     */
    public int deleteTbBannerByBannerIds(String[] bannerIds);

    /**
     * 删除轮播图信息
     *
     * @param bannerId 轮播图主键
     * @return 结果
     */
    public int deleteTbBannerByBannerId(String bannerId);

    /**
     * xcx通用——查询轮播图列表
     *
     * @param banner 轮播图参数
     * @return 轮播图集合
     */
    public List<BannerVO> selectBannerListForXcxCommon(BannerDTO banner);

}
